#include<bits/stdc++.h>
using namespace std;
long long a[200005],n,q,l,r,x[200005],prefiks[200005];
int main(){
   scanf("%lld ",&n);
   for(int i=1;i<=n;i++){
      cin>>a[i];
   }
   for(int i=1;i<n;i++){
      if(a[i]>a[i+1]){
         prefiks[i+1]++;
      }
   }
   for(int i=1;i<=n;i++){
      prefiks[i]+=prefiks[i-1];
   }
   cin>>q;
   for(int i=1;i<=q;i++){
      cin>>l>>r;
      if(prefiks[r]-prefiks[l]<2){
         cout<<"DA"<<endl;
      }
      else{
         cout<<"NE"<<endl;
      }
   }
return 0;
}